Home » Infrastructure » Linux » wrong ELF class: ELFCLASS64 after upgrading to 10g
wrong ELF class: ELFCLASS64 after upgrading to 10g [message #260397] Sun, 19 August 2007 09:45 Go to next message
kesarla
Messages: 3
Registered: August 2006
Junior Member
ld.so.1: db-unload.ora10: fatal: /usr/local/oracle/product/10.2/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64

getting this error after upgrading to 10g , and we are unable to connect any other databases like 9i or 8i or so .. any help will be appreciated....

Thanks,
Re: wrong ELF class: ELFCLASS64 after upgrading to 10g [message #260404 is a reply to message #260397] Sun, 19 August 2007 10:26 Go to previous message
BlackSwan
Messages: 22786
Registered: January 2009
Senior Member
Nobody can be sure with what you started or exactly what you did, but I suspect that you now have a 32-bit/64-bit mismatch.
Are you 100% sure that your hardware, base installation & upgrade are all the same flavor (32-bit or 64-bit)?
Previous Topic: KSH Installation
Next Topic: Enterprise Linux Installation error
Goto Forum:
  


Current Time: Wed Sep 17 10:41:48 CDT 2014

Total time taken to generate the page: 0.07224 seconds